mindre css via rubin på sejr 7 - langt større end 1,2,21?

Indlæg af Hanne Mølgaard Plasc

Problem



Er der en måde at få nogen af ​​de 2.x versioner på via Ruby on Windows?


Jeg testede alle versionerne opført via gem list --remote --all less


Problemet er, at jeg kun kan installere 1.2.21-versionen, som ikke understøtter &mindre vælgeren.


Så jeg skal gøre


div {
    border: red;
}
div.blue {
    border: blue;
}


i stedet for


div {
     border: red;
     &.blue {
         border: blue;
     }
}


Hvilket er ret irriterende


Enhver hjælp meget værdsat.


Hilsen,

OM EFTERMIDDAGEN

Bedste reference


Fandt en måde (godt to) og vil gerne dele. Håber det hjælper nogen og sparer ham masser af søgning.


Den jeg går med bruger node.js. Vil kun bruge rubin til dette, så det er irelevant, hvilket jeg vil bruge.
Det er perfekt beskrevet der: vertstudios.com/blog/less-app-windows-sorta og fungerer som en charme. [4] [5]


Efter at have redigeret deres less.js et stykke tid for at passe til min dir struktur, er det strålende. Det understøtter alt, outputs minifed/komprimeret version og har en urfunktionalitet.


En anden måde (som ikke er praktisk) bruger Windows 's cscript. Beskrevet på Christopher Bennage s blog [6]